#! /bin/sh

DVB_ADABTER_NO=1

EPGDIR="/video"
VIDEODIR="/video"
MHWEPGDIR="/video/plugins"

LOCKFILE="$VIDEODIR/vdr.lock"

LOADEPG="$MHWEPGDIR/loadepg.pl"

SZAP_CHANNELS="$VIDEODIR/channels-szap-astra.conf"

SZAP="/opt-linux-x86-p4/bin/szap"

MHWEPG="/opt-linux-x86-p4/bin/mhwepg"

#
#
#

cd $MHWEPGDIR

touch $LOCKFILE

killall vdr mplayer

$VIDEODIR/rvdr.sh

rm -f 	$EPGDIR/epg.csn.data \
	$EPGDIR/epg.csd.data \
	$EPGDIR/epg.cyfra.data \
	$EPGDIR/epg.cd.data \
	$EPGDIR/epg.telepiu.data

$SZAP -a $DVB_ADABTER_NO -x -c $SZAP_CHANNELS "CSN EPG"
$MHWEPG -s S19.2E -a $DVB_ADABTER_NO \
			-e $MHWEPGDIR/equiv.csn 	-o $EPGDIR/epg.csn.data

$SZAP -a $DVB_ADABTER_NO -x -c $SZAP_CHANNELS "CSD EPG"
$MHWEPG -s S19.2E -a $DVB_ADABTER_NO \
			-e $MHWEPGDIR/equiv.csd 	-o $EPGDIR/epg.csd.data

$SZAP -a $DVB_ADABTER_NO -x -c $SZAP_CHANNELS "CYFRA EPG"
$MHWEPG -s S19.2E -a $DVB_ADABTER_NO \
			-e $MHWEPGDIR/equiv.cyfra 	-o $EPGDIR/epg.cyfra.data

$SZAP -a $DVB_ADABTER_NO -x -c $SZAP_CHANNELS "CD EPG"
$MHWEPG -s S19.2E -a $DVB_ADABTER_NO \
			-e $MHWEPGDIR/equiv.cd 		-o $EPGDIR/epg.cd.data

$SZAP -a $DVB_ADABTER_NO -x -c $SZAP_CHANNELS "TELEPIU EPG"
$MHWEPG -s S19.2E -a $DVB_ADABTER_NO \
			-e $MHWEPGDIR/equiv.telepiu 	-o $EPGDIR/epg.telepiu.data

rm -f $LOCKFILE

kill -HUP 1
sleep 60s

cat $EPGDIR/epg.csn.data 	| $MHWEPGDIR/loadepg.pl
cat $EPGDIR/epg.csd.data 	| $MHWEPGDIR/loadepg.pl
cat $EPGDIR/epg.cyfra.data 	| $MHWEPGDIR/loadepg.pl
cat $EPGDIR/epg.cd.data 	| $MHWEPGDIR/loadepg.pl
cat $EPGDIR/epg.telepiu.data 	| $MHWEPGDIR/loadepg.pl


